> For the complete documentation index, see [llms.txt](https://docs.qatts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.qatts.com/studio/ui-elements/properties-library.md).

# Properties Library

In the UI elements, We have the section called PROPERTIES. any actionable configuration will be configured here. Refer the below screenshots to understand.

| Property Name | Property Value | When to use                                                                                                                                              | How it works                                                                                                                |
| ------------- | -------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| jsClick       | TRUE/FALSE     | <ol><li>An element is covered  by another element</li><li>An element is not in a scrollable position</li><li>When  a normal click doesn't work</li></ol> | Performs the click operation with java script                                                                               |
| focusAndSend  | TRUE/FALSE     | <ol><li>When we have to hover the mouse and perform click</li><li>When a web element is not responsive. To enable the element</li></ol>                  | It hovers the mouse on to the element and then performs the click operation                                                 |
| contextClick  | TRUE/FALSE     | <ol><li>To perform the right-click operation</li></ol>                                                                                                   | <p>It just performs the right click to select the sub option.<br><br>Helpful to automate the native applications mostly</p> |
| returnKey     | TRUE/FALSE     | <ol><li>When a normal click doesn't work in web form</li><li>When to press the ENTER Key for submission of a form</li></ol>                              | It just clicks on the ENTER button                                                                                          |
| clickAndHold  | TRUE/FALSE     | <ol><li>When the user wants to click and hold on the element for 2 seconds</li><li>When a click operation has some inbuilt process running</li></ol>     | It clicks the web element and holds for 2 seconds then release the click operation on the element                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.qatts.com/studio/ui-elements/properties-library.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
